
version: "3"
services:
  web:
    image: ${WEB_IMAGE_NAME:-registry.gitlab.com/kontinu/sre-bootcamp/new-app-model/app}
    build:
      context: src/app/
    environment:
      - REDIS_HOST=redis
      - FOO=${FOO:-BAR}
      - MICRO_URL=http://localhost:8082

    ports:
      - 8000:5000


  micro:
    image: ${MICRO_IMAGE_NAME:-registry.gitlab.com/kontinu/sre-bootcamp/new-app-model/micro}
    build:
      context: src/micro
    environment:
      - REDIS_HOST=redis
    ports:
    - 8082:5000


  redis:
    image: "redis:alpine"
    deploy:
      replicas: 1

